Index: /extensions/TumblrShare/admin.php
===================================================================
--- /extensions/TumblrShare/admin.php	(revision 19361)
+++ /extensions/TumblrShare/admin.php	(revision 19361)
@@ -0,0 +1,32 @@
+<?php
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+global $conf, $template, $page;
+
+load_language('plugin.lang', TUMBLR_PATH);
+$conf['TumblrShare'] = unserialize($conf['TumblrShare']);
+
+if (isset($_POST['submit']))
+{
+  $conf['TumblrShare'] = array(
+    'type' => $_POST['type'],
+    'position' => $_POST['position'],
+    );
+  
+  conf_update_param('TumblrShare', serialize($conf['TumblrShare']));
+  array_push($page['infos'], l10n('Information data registered in database'));
+  
+  // the prefilter changes, we must delete compiled templatess
+  $template->delete_compiled_templates();
+}
+
+$template->assign(array(
+  'type' => $conf['TumblrShare']['type'],
+  'position' => $conf['TumblrShare']['position'],
+  'TUMBLR_PATH' => TUMBLR_PATH,
+));
+
+$template->set_filename('tumblr_content', dirname(__FILE__).'/admin.tpl');
+$template->assign_var_from_handle('ADMIN_CONTENT', 'tumblr_content');
+
+?>
Index: /extensions/TumblrShare/admin.tpl
===================================================================
--- /extensions/TumblrShare/admin.tpl	(revision 19361)
+++ /extensions/TumblrShare/admin.tpl	(revision 19361)
@@ -0,0 +1,75 @@
+{combine_css path=$TUMBLR_PATH|@cat:"style.css"}
+
+<div class="titrePage">
+	<h2>tumblr.share</h2>
+</div>
+
+<form method="post" action="" class="properties" ENCTYPE="multipart/form-data"> 
+    <p><img src="{$TUMBLR_PATH}/logo.png"/></p>
+    
+    <table class="tumblr_buttons">
+      <tr class="property">
+        <td>
+          {'Button size'|@translate}
+        </td>
+        <td></td>
+      </tr>
+      <tr>
+        <td><label>
+          <input type="radio" name="type" value="share_1" {if $type == 'share_1'}checked="checked"{/if}/>
+          <img src="http://platform.tumblr.com/v1/share_1.png"/>
+        </label></td>
+        <td><label>
+          <input type="radio" name="type" value="share_1T" {if $type == 'share_1T'}checked="checked"{/if}/>
+          <img src="http://platform.tumblr.com/v1/share_1T.png"/>
+        </label></td>
+      </tr>
+      <tr>
+        <td><label>
+          <input type="radio" name="type" value="share_2" {if $type == 'share_2'}checked="checked"{/if}/>
+          <img src="http://platform.tumblr.com/v1/share_2.png"/>
+        </label></td>
+        <td><label>
+          <input type="radio" name="type" value="share_2T" {if $type == 'share_2T'}checked="checked"{/if}/>
+          <img src="http://platform.tumblr.com/v1/share_2T.png"/>
+        </label></td>
+      </tr>
+      <tr>
+        <td><label>
+          <input type="radio" name="type" value="share_3" {if $type == 'share_3'}checked="checked"{/if}/>
+          <img src="http://platform.tumblr.com/v1/share_3.png"/>
+        </label></td>
+        <td><label>
+          <input type="radio" name="type" value="share_3T" {if $type == 'share_3T'}checked="checked"{/if}/>
+          <img src="http://platform.tumblr.com/v1/share_3T.png"/>
+        </label></td>
+      </tr>
+      <tr>
+        <td><label>
+          <input type="radio" name="type" value="share_4" {if $type == 'share_4'}checked="checked"{/if}/>
+          <img src="http://platform.tumblr.com/v1/share_4.png"/>
+        </label></td>
+        <td><label>
+          <input type="radio" name="type" value="share_4T" {if $type == 'share_4T'}checked="checked"{/if}/>
+          <img src="http://platform.tumblr.com/v1/share_4T.png"/>
+        </label></td>
+      </tr>
+      
+      <tr class="property">
+        <td>
+          {'Button position on picture page'|@translate}
+        </td>
+        <td>
+          <label><input type="radio" name="position" value="top" {if $position == 'top'}checked="checked"{/if}/> {'Top'|@translate}</label>
+          <label><input type="radio" name="position" value="bottom" {if $position == 'bottom'}checked="checked"{/if}/> {'Bottom'|@translate}</label>
+          <label><input type="radio" name="position" value="toolbar" {if $position == 'toolbar'}checked="checked"{/if}/> {'Toolbar'|@translate}</label>
+        </td>
+      </tr>
+      
+      <tr class="submit">
+        <td colspan="2" style="text-align:center;">
+          <input class="submit" type="submit" value="{'Submit'|@translate}" name="submit" />
+        </td>
+      </tr>
+    </table>
+</form>
Index: /extensions/TumblrShare/button.tpl
===================================================================
--- /extensions/TumblrShare/button.tpl	(revision 19361)
+++ /extensions/TumblrShare/button.tpl	(revision 19361)
@@ -0,0 +1,9 @@
+{combine_script id='tumblr_share' load='footer' path='http://platform.tumblr.com/v1/share.js'}
+
+{if $TUMBLR_MODE=='photo'}
+{capture assign="inline_tags"}{foreach from=$related_tags item=tag name=tag_loop}{if !$smarty.foreach.tag_loop.first},{/if}{$tag.name}{/foreach}{/capture}
+<a href="http://www.tumblr.com/share/photo?source={$TUMBLR_SOURCE|urlencode}&caption={$TUMBLR_TITLE|urlencode}{$TUMBLR_COPY|urlencode}&clickthru={$TUMBLR_URL|urlencode}&tags={$inline_tags|urlencode}"
+{else}
+<a href="http://www.tumblr.com/share/link?url={$TUMBLR_URL|urlencode}&name={$TUMBLR_TITLE|urlencode}&description={$CONTENT_DESCRIPTION|urlencode}{$TUMBLR_COPY|urlencode}"
+{/if}
+title="{'Share on Tumblr'|@translate}" style="display:inline-block; text-indent:-9999px; overflow:hidden; {$TUMBLR_CSS} background:url('http://platform.tumblr.com/v1/{$TUMBLR_TYPE}.png') top left no-repeat transparent;">{'Share on Tumblr'|@translate}</a>
Index: /extensions/TumblrShare/index.php
===================================================================
--- /extensions/TumblrShare/index.php	(revision 19361)
+++ /extensions/TumblrShare/index.php	(revision 19361)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/TumblrShare/language/af_ZA/description.txt
===================================================================
--- /extensions/TumblrShare/language/af_ZA/description.txt	(revision 19361)
+++ /extensions/TumblrShare/language/af_ZA/description.txt	(revision 19361)
@@ -0,0 +1,1 @@
+Voeg 'n "Share on Tumblr" opsie by op beeld blaaie
Index: /extensions/TumblrShare/language/af_ZA/index.php
===================================================================
--- /extensions/TumblrShare/language/af_ZA/index.php	(revision 19361)
+++ /extensions/TumblrShare/language/af_ZA/index.php	(revision 19361)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/TumblrShare/language/af_ZA/plugin.lang.php
===================================================================
--- /extensions/TumblrShare/language/af_ZA/plugin.lang.php	(revision 19361)
+++ /extensions/TumblrShare/language/af_ZA/plugin.lang.php	(revision 19361)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Bottom'] = 'Onder';
+$lang['Button position on picture page'] = 'Knop posisie op die beeld blad';
+$lang['Button size'] = 'Knop grootte';
+$lang['Toolbar'] = 'Keusebalk';
+$lang['Top'] = 'Bo';
+?>
Index: /extensions/TumblrShare/language/ca_ES/description.txt
===================================================================
--- /extensions/TumblrShare/language/ca_ES/description.txt	(revision 19361)
+++ /extensions/TumblrShare/language/ca_ES/description.txt	(revision 19361)
@@ -0,0 +1,1 @@
+Permet afegir el botó "Share on Tumblr" a les pàgines d'imatges.
Index: /extensions/TumblrShare/language/ca_ES/index.php
===================================================================
--- /extensions/TumblrShare/language/ca_ES/index.php	(revision 19361)
+++ /extensions/TumblrShare/language/ca_ES/index.php	(revision 19361)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/TumblrShare/language/ca_ES/plugin.lang.php
===================================================================
--- /extensions/TumblrShare/language/ca_ES/plugin.lang.php	(revision 19361)
+++ /extensions/TumblrShare/language/ca_ES/plugin.lang.php	(revision 19361)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Bottom'] = 'Inferior';
+$lang['Button position on picture page'] = 'Posició del botó a la pàgina de la imatge';
+$lang['Toolbar'] = 'Barra d\'eines';
+$lang['Top'] = 'Superior';
+$lang['Button size'] = 'Mida del botó';
+?>
Index: /extensions/TumblrShare/language/cs_CZ/description.txt
===================================================================
--- /extensions/TumblrShare/language/cs_CZ/description.txt	(revision 19361)
+++ /extensions/TumblrShare/language/cs_CZ/description.txt	(revision 19361)
@@ -0,0 +1,1 @@
+Přidat "Share on Tumblr" tlačítko na stránku s fotografií
Index: /extensions/TumblrShare/language/cs_CZ/index.php
===================================================================
--- /extensions/TumblrShare/language/cs_CZ/index.php	(revision 19361)
+++ /extensions/TumblrShare/language/cs_CZ/index.php	(revision 19361)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/TumblrShare/language/cs_CZ/plugin.lang.php
===================================================================
--- /extensions/TumblrShare/language/cs_CZ/plugin.lang.php	(revision 19361)
+++ /extensions/TumblrShare/language/cs_CZ/plugin.lang.php	(revision 19361)
@@ -0,0 +1,7 @@
+<?php
+$lang['Button position on picture page'] = 'Pozice tlačítka na stránce s fotografií';
+$lang['Top'] = 'Nahoře';
+$lang['Bottom'] = 'Dole';
+$lang['Toolbar'] = 'Panel nástrojů';
+$lang['Button size'] = 'Velikost tlačítka';
+?>
Index: /extensions/TumblrShare/language/da_DK/description.txt
===================================================================
--- /extensions/TumblrShare/language/da_DK/description.txt	(revision 19361)
+++ /extensions/TumblrShare/language/da_DK/description.txt	(revision 19361)
@@ -0,0 +1,1 @@
+Tilføj en "Share on Tumblr"-knap på billedsiden
Index: /extensions/TumblrShare/language/da_DK/index.php
===================================================================
--- /extensions/TumblrShare/language/da_DK/index.php	(revision 19361)
+++ /extensions/TumblrShare/language/da_DK/index.php	(revision 19361)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/TumblrShare/language/da_DK/plugin.lang.php
===================================================================
--- /extensions/TumblrShare/language/da_DK/plugin.lang.php	(revision 19361)
+++ /extensions/TumblrShare/language/da_DK/plugin.lang.php	(revision 19361)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Bottom'] = 'Bund';
+$lang['Button position on picture page'] = 'Placering af knap på billedside';
+$lang['Button size'] = 'Knapstørrelse';
+$lang['Toolbar'] = 'Værktøjslinje';
+$lang['Top'] = 'Top';
+?>
Index: /extensions/TumblrShare/language/de_DE/description.txt
===================================================================
--- /extensions/TumblrShare/language/de_DE/description.txt	(revision 19361)
+++ /extensions/TumblrShare/language/de_DE/description.txt	(revision 19361)
@@ -0,0 +1,1 @@
+Eine "Share on Tumblr" Schaltfläche für die Einzelansicht der Bilder hinzufügen
Index: /extensions/TumblrShare/language/de_DE/index.php
===================================================================
--- /extensions/TumblrShare/language/de_DE/index.php	(revision 19361)
+++ /extensions/TumblrShare/language/de_DE/index.php	(revision 19361)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/TumblrShare/language/de_DE/plugin.lang.php
===================================================================
--- /extensions/TumblrShare/language/de_DE/plugin.lang.php	(revision 19361)
+++ /extensions/TumblrShare/language/de_DE/plugin.lang.php	(revision 19361)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Bottom'] = 'Unten';
+$lang['Button position on picture page'] = 'Tastenposition auf der Bilderseite';
+$lang['Toolbar'] = 'Symbolleiste';
+$lang['Top'] = 'Oben';
+$lang['Button size'] = 'Tasten Größe';
+?>
Index: /extensions/TumblrShare/language/el_GR/index.php
===================================================================
--- /extensions/TumblrShare/language/el_GR/index.php	(revision 19361)
+++ /extensions/TumblrShare/language/el_GR/index.php	(revision 19361)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/TumblrShare/language/el_GR/plugin.lang.php
===================================================================
--- /extensions/TumblrShare/language/el_GR/plugin.lang.php	(revision 19361)
+++ /extensions/TumblrShare/language/el_GR/plugin.lang.php	(revision 19361)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Bottom'] = 'Κάτω μέρος';
+$lang['Button position on picture page'] = 'θέση Κουμπιού στη σελίδα της εικόνας';
+$lang['Toolbar'] = 'Γραμμή Εργαλείων';
+$lang['Top'] = 'Κορυφή';
+$lang['Button size'] = 'Μέγεθος Κουμπιού';
+?>
Index: /extensions/TumblrShare/language/en_UK/description.txt
===================================================================
--- /extensions/TumblrShare/language/en_UK/description.txt	(revision 19361)
+++ /extensions/TumblrShare/language/en_UK/description.txt	(revision 19361)
@@ -0,0 +1,1 @@
+Add a "Share on Tumblr" button on picture pages
Index: /extensions/TumblrShare/language/en_UK/index.php
===================================================================
--- /extensions/TumblrShare/language/en_UK/index.php	(revision 19361)
+++ /extensions/TumblrShare/language/en_UK/index.php	(revision 19361)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/TumblrShare/language/en_UK/plugin.lang.php
===================================================================
--- /extensions/TumblrShare/language/en_UK/plugin.lang.php	(revision 19361)
+++ /extensions/TumblrShare/language/en_UK/plugin.lang.php	(revision 19361)
@@ -0,0 +1,8 @@
+<?php
+$lang['Button position on picture page'] = 'Button position on picture page';
+$lang['Top'] = 'Top';
+$lang['Bottom'] = 'Bottom';
+$lang['Toolbar'] = 'Toolbar';
+$lang['Button size'] = 'Button size';
+$lang['Share on Tumblr'] = 'Share on Tumblr';
+?>
Index: /extensions/TumblrShare/language/es_ES/description.txt
===================================================================
--- /extensions/TumblrShare/language/es_ES/description.txt	(revision 19361)
+++ /extensions/TumblrShare/language/es_ES/description.txt	(revision 19361)
@@ -0,0 +1,1 @@
+Agrega un botón "Share on Tumblr" en la página de la imagen.
Index: /extensions/TumblrShare/language/es_ES/index.php
===================================================================
--- /extensions/TumblrShare/language/es_ES/index.php	(revision 19361)
+++ /extensions/TumblrShare/language/es_ES/index.php	(revision 19361)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/TumblrShare/language/es_ES/plugin.lang.php
===================================================================
--- /extensions/TumblrShare/language/es_ES/plugin.lang.php	(revision 19361)
+++ /extensions/TumblrShare/language/es_ES/plugin.lang.php	(revision 19361)
@@ -0,0 +1,7 @@
+<?php
+$lang['Button position on picture page'] = 'Posición del botón en la página imagen';
+$lang['Top'] = 'Arriba';
+$lang['Bottom'] = 'Abajo';
+$lang['Toolbar'] = 'Barra de herramientas';
+$lang['Button size'] = 'Tamaño del botón';
+?>
Index: /extensions/TumblrShare/language/et_EE/description.txt
===================================================================
--- /extensions/TumblrShare/language/et_EE/description.txt	(revision 19361)
+++ /extensions/TumblrShare/language/et_EE/description.txt	(revision 19361)
@@ -0,0 +1,1 @@
+Lisa "Share on Tumblr" nupp fotode juurde
Index: /extensions/TumblrShare/language/et_EE/index.php
===================================================================
--- /extensions/TumblrShare/language/et_EE/index.php	(revision 19361)
+++ /extensions/TumblrShare/language/et_EE/index.php	(revision 19361)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/TumblrShare/language/et_EE/plugin.lang.php
===================================================================
--- /extensions/TumblrShare/language/et_EE/plugin.lang.php	(revision 19361)
+++ /extensions/TumblrShare/language/et_EE/plugin.lang.php	(revision 19361)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Bottom'] = 'Alumine äär';
+$lang['Button position on picture page'] = 'Nupu asukoht foto leheküljel';
+$lang['Button size'] = 'Nupu suurus';
+$lang['Toolbar'] = 'Tööriistariba';
+$lang['Top'] = 'Ülemine äär';
+?>
Index: /extensions/TumblrShare/language/fr_FR/description.txt
===================================================================
--- /extensions/TumblrShare/language/fr_FR/description.txt	(revision 19361)
+++ /extensions/TumblrShare/language/fr_FR/description.txt	(revision 19361)
@@ -0,0 +1,1 @@
+Ajoute un bouton "Partager sur Tumblr" sur la page de l'image
Index: /extensions/TumblrShare/language/fr_FR/index.php
===================================================================
--- /extensions/TumblrShare/language/fr_FR/index.php	(revision 19361)
+++ /extensions/TumblrShare/language/fr_FR/index.php	(revision 19361)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/TumblrShare/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/TumblrShare/language/fr_FR/plugin.lang.php	(revision 19361)
+++ /extensions/TumblrShare/language/fr_FR/plugin.lang.php	(revision 19361)
@@ -0,0 +1,8 @@
+<?php
+$lang['Button position on picture page'] = 'Position du bouton sur la page image';
+$lang['Top'] = 'Haut';
+$lang['Bottom'] = 'Bas';
+$lang['Toolbar'] = 'Barre d\'outils';
+$lang['Button size'] = 'Taille du bouton';
+$lang['Share on Tumblr'] = 'Partager sur Tumblr';
+?>
Index: /extensions/TumblrShare/language/hu_HU/description.txt
===================================================================
--- /extensions/TumblrShare/language/hu_HU/description.txt	(revision 19361)
+++ /extensions/TumblrShare/language/hu_HU/description.txt	(revision 19361)
@@ -0,0 +1,1 @@
+"Share on Tumblr" gomb a kép oldalra
Index: /extensions/TumblrShare/language/hu_HU/index.php
===================================================================
--- /extensions/TumblrShare/language/hu_HU/index.php	(revision 19361)
+++ /extensions/TumblrShare/language/hu_HU/index.php	(revision 19361)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/TumblrShare/language/hu_HU/plugin.lang.php
===================================================================
--- /extensions/TumblrShare/language/hu_HU/plugin.lang.php	(revision 19361)
+++ /extensions/TumblrShare/language/hu_HU/plugin.lang.php	(revision 19361)
@@ -0,0 +1,7 @@
+<?php
+$lang['Button position on picture page'] = 'Gomb pozíciója a kép oldalon';
+$lang['Top'] = 'Fent';
+$lang['Bottom'] = 'Lent';
+$lang['Toolbar'] = 'Eszköztár';
+$lang['Button size'] = 'Gomb méret';
+?>
Index: /extensions/TumblrShare/language/index.php
===================================================================
--- /extensions/TumblrShare/language/index.php	(revision 19361)
+++ /extensions/TumblrShare/language/index.php	(revision 19361)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/TumblrShare/language/it_IT/description.txt
===================================================================
--- /extensions/TumblrShare/language/it_IT/description.txt	(revision 19361)
+++ /extensions/TumblrShare/language/it_IT/description.txt	(revision 19361)
@@ -0,0 +1,1 @@
+Aggiunge un pulzante "Share on Tumblr" sulla pagina della foto
Index: /extensions/TumblrShare/language/it_IT/index.php
===================================================================
--- /extensions/TumblrShare/language/it_IT/index.php	(revision 19361)
+++ /extensions/TumblrShare/language/it_IT/index.php	(revision 19361)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/TumblrShare/language/it_IT/plugin.lang.php
===================================================================
--- /extensions/TumblrShare/language/it_IT/plugin.lang.php	(revision 19361)
+++ /extensions/TumblrShare/language/it_IT/plugin.lang.php	(revision 19361)
@@ -0,0 +1,7 @@
+<?php
+$lang['Button position on picture page'] = 'Posizione del pultzante sulla pagina foto';
+$lang['Top'] = 'Alto';
+$lang['Bottom'] = 'Basso';
+$lang['Toolbar'] = 'Barra degli strumenti';
+$lang['Button size'] = 'Dimensione pulsante';
+?>
Index: /extensions/TumblrShare/language/lv_LV/description.txt
===================================================================
--- /extensions/TumblrShare/language/lv_LV/description.txt	(revision 19361)
+++ /extensions/TumblrShare/language/lv_LV/description.txt	(revision 19361)
@@ -0,0 +1,1 @@
+Pievieno "Share on Tumblr" (apspried šo) pogu attēlu lapām
Index: /extensions/TumblrShare/language/lv_LV/index.php
===================================================================
--- /extensions/TumblrShare/language/lv_LV/index.php	(revision 19361)
+++ /extensions/TumblrShare/language/lv_LV/index.php	(revision 19361)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/TumblrShare/language/lv_LV/plugin.lang.php
===================================================================
--- /extensions/TumblrShare/language/lv_LV/plugin.lang.php	(revision 19361)
+++ /extensions/TumblrShare/language/lv_LV/plugin.lang.php	(revision 19361)
@@ -0,0 +1,7 @@
+<?php
+$lang['Button position on picture page'] = 'Pogas pozīcija attēla lapā';
+$lang['Top'] = 'Augšā';
+$lang['Bottom'] = 'Apakšā';
+$lang['Toolbar'] = 'Rīkjoslā';
+$lang['Button size'] = 'Pogas izmēri';
+?>
Index: /extensions/TumblrShare/language/nl_NL/description.txt
===================================================================
--- /extensions/TumblrShare/language/nl_NL/description.txt	(revision 19361)
+++ /extensions/TumblrShare/language/nl_NL/description.txt	(revision 19361)
@@ -0,0 +1,1 @@
+Voeg een "Share on Tumblr" knop toe aan afbeeldingspagina's
Index: /extensions/TumblrShare/language/nl_NL/index.php
===================================================================
--- /extensions/TumblrShare/language/nl_NL/index.php	(revision 19361)
+++ /extensions/TumblrShare/language/nl_NL/index.php	(revision 19361)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/TumblrShare/language/nl_NL/plugin.lang.php
===================================================================
--- /extensions/TumblrShare/language/nl_NL/plugin.lang.php	(revision 19361)
+++ /extensions/TumblrShare/language/nl_NL/plugin.lang.php	(revision 19361)
@@ -0,0 +1,7 @@
+<?php
+$lang['Top'] = 'Boven';
+$lang['Bottom'] = 'Onder';
+$lang['Toolbar'] = 'Werkbalk';
+$lang['Button position on picture page'] = 'Knop positie op afbeelding pagina';
+$lang['Button size'] = 'Knop formaat';
+?>
Index: /extensions/TumblrShare/language/pl_PL/index.php
===================================================================
--- /extensions/TumblrShare/language/pl_PL/index.php	(revision 19361)
+++ /extensions/TumblrShare/language/pl_PL/index.php	(revision 19361)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/TumblrShare/language/pl_PL/plugin.lang.php
===================================================================
--- /extensions/TumblrShare/language/pl_PL/plugin.lang.php	(revision 19361)
+++ /extensions/TumblrShare/language/pl_PL/plugin.lang.php	(revision 19361)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2009 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Bottom'] = 'Dół';
+$lang['Button position on picture page'] = 'Miejsce umieszczenia przycisku';
+$lang['Toolbar'] = 'Pasek narzędzi';
+$lang['Top'] = 'Góra';
+$lang['Button size'] = 'Rozmiar przycisku';
+?>
Index: /extensions/TumblrShare/language/pt_BR/description.txt
===================================================================
--- /extensions/TumblrShare/language/pt_BR/description.txt	(revision 19361)
+++ /extensions/TumblrShare/language/pt_BR/description.txt	(revision 19361)
@@ -0,0 +1,1 @@
+Adiciona um botão "Share on Tumblr" na página de fotos
Index: /extensions/TumblrShare/language/pt_BR/index.php
===================================================================
--- /extensions/TumblrShare/language/pt_BR/index.php	(revision 19361)
+++ /extensions/TumblrShare/language/pt_BR/index.php	(revision 19361)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/TumblrShare/language/pt_BR/plugin.lang.php
===================================================================
--- /extensions/TumblrShare/language/pt_BR/plugin.lang.php	(revision 19361)
+++ /extensions/TumblrShare/language/pt_BR/plugin.lang.php	(revision 19361)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Bottom'] = 'Botão';
+$lang['Button position on picture page'] = 'Posição do botão na página';
+$lang['Button size'] = 'Tamanho do botão';
+$lang['Toolbar'] = 'Barra de Ferramenta';
+$lang['Top'] = 'topo';
+?>
Index: /extensions/TumblrShare/language/pt_PT/description.txt
===================================================================
--- /extensions/TumblrShare/language/pt_PT/description.txt	(revision 19361)
+++ /extensions/TumblrShare/language/pt_PT/description.txt	(revision 19361)
@@ -0,0 +1,1 @@
+Adicionar nas páginas das fotos o botão "Share on Tumblr" 
Index: /extensions/TumblrShare/language/pt_PT/index.php
===================================================================
--- /extensions/TumblrShare/language/pt_PT/index.php	(revision 19361)
+++ /extensions/TumblrShare/language/pt_PT/index.php	(revision 19361)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/TumblrShare/language/pt_PT/plugin.lang.php
===================================================================
--- /extensions/TumblrShare/language/pt_PT/plugin.lang.php	(revision 19361)
+++ /extensions/TumblrShare/language/pt_PT/plugin.lang.php	(revision 19361)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Bottom'] = 'Base';
+$lang['Button position on picture page'] = 'Posição do botão na página da foto';
+$lang['Toolbar'] = 'Barra de tarefas';
+$lang['Top'] = 'Topo';
+$lang['Button size'] = 'Tamanho do botão';
+?>
Index: /extensions/TumblrShare/language/ro_RO/description.txt
===================================================================
--- /extensions/TumblrShare/language/ro_RO/description.txt	(revision 19361)
+++ /extensions/TumblrShare/language/ro_RO/description.txt	(revision 19361)
@@ -0,0 +1,1 @@
+Adaugă buton "Share on Tumblr" pe paginile imaginilor
Index: /extensions/TumblrShare/language/ro_RO/index.php
===================================================================
--- /extensions/TumblrShare/language/ro_RO/index.php	(revision 19361)
+++ /extensions/TumblrShare/language/ro_RO/index.php	(revision 19361)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/TumblrShare/language/ro_RO/plugin.lang.php
===================================================================
--- /extensions/TumblrShare/language/ro_RO/plugin.lang.php	(revision 19361)
+++ /extensions/TumblrShare/language/ro_RO/plugin.lang.php	(revision 19361)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Bottom'] = 'Jos';
+$lang['Button position on picture page'] = 'Poziția butonului în pagina imaginii';
+$lang['Button size'] = 'Mărimea butonului';
+$lang['Toolbar'] = 'Toolbar';
+$lang['Top'] = 'Sus';
+?>
Index: /extensions/TumblrShare/language/ru_RU/index.php
===================================================================
--- /extensions/TumblrShare/language/ru_RU/index.php	(revision 19361)
+++ /extensions/TumblrShare/language/ru_RU/index.php	(revision 19361)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/TumblrShare/language/ru_RU/plugin.lang.php
===================================================================
--- /extensions/TumblrShare/language/ru_RU/plugin.lang.php	(revision 19361)
+++ /extensions/TumblrShare/language/ru_RU/plugin.lang.php	(revision 19361)
@@ -0,0 +1,7 @@
+<?php
+$lang['Button position on picture page'] = 'Положение кнопки на странице с фотографией';
+$lang['Top'] = 'Сверху';
+$lang['Bottom'] = 'Внизу';
+$lang['Toolbar'] = 'На панели инструментов';
+$lang['Button size'] = 'Размер кнопки';
+?>
Index: /extensions/TumblrShare/language/sk_SK/description.txt
===================================================================
--- /extensions/TumblrShare/language/sk_SK/description.txt	(revision 19361)
+++ /extensions/TumblrShare/language/sk_SK/description.txt	(revision 19361)
@@ -0,0 +1,1 @@
+Pridanie "Share on Tumblr" tlačidla na stránkach fotiek
Index: /extensions/TumblrShare/language/sk_SK/index.php
===================================================================
--- /extensions/TumblrShare/language/sk_SK/index.php	(revision 19361)
+++ /extensions/TumblrShare/language/sk_SK/index.php	(revision 19361)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/TumblrShare/language/sk_SK/plugin.lang.php
===================================================================
--- /extensions/TumblrShare/language/sk_SK/plugin.lang.php	(revision 19361)
+++ /extensions/TumblrShare/language/sk_SK/plugin.lang.php	(revision 19361)
@@ -0,0 +1,7 @@
+<?php
+$lang['Top'] = 'Hore';
+$lang['Bottom'] = 'Dole';
+$lang['Toolbar'] = 'Lišta nástrojov';
+$lang['Button position on picture page'] = 'Tlačidlo pozície na stránke fotiek';
+$lang['Button size'] = 'Veľkosť tlačidla';
+?>
Index: /extensions/TumblrShare/language/sv_SE/description.txt
===================================================================
--- /extensions/TumblrShare/language/sv_SE/description.txt	(revision 19361)
+++ /extensions/TumblrShare/language/sv_SE/description.txt	(revision 19361)
@@ -0,0 +1,1 @@
+Lägg till en "Share on Tumblr" på bildsidor
Index: /extensions/TumblrShare/language/sv_SE/index.php
===================================================================
--- /extensions/TumblrShare/language/sv_SE/index.php	(revision 19361)
+++ /extensions/TumblrShare/language/sv_SE/index.php	(revision 19361)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/TumblrShare/language/sv_SE/plugin.lang.php
===================================================================
--- /extensions/TumblrShare/language/sv_SE/plugin.lang.php	(revision 19361)
+++ /extensions/TumblrShare/language/sv_SE/plugin.lang.php	(revision 19361)
@@ -0,0 +1,7 @@
+<?php
+$lang['Top'] = 'Topp';
+$lang['Bottom'] = 'Botten';
+$lang['Toolbar'] = 'Verktygsfältet';
+$lang['Button position on picture page'] = 'Knappens position på sidan';
+$lang['Button size'] = 'Knappstorlek';
+?>
Index: /extensions/TumblrShare/language/th_TH/description.txt
===================================================================
--- /extensions/TumblrShare/language/th_TH/description.txt	(revision 19361)
+++ /extensions/TumblrShare/language/th_TH/description.txt	(revision 19361)
@@ -0,0 +1,1 @@
+เพิ่มปุ่ม"Share on Tumblr" บนหน้าเว็บรูปภาพ
Index: /extensions/TumblrShare/language/th_TH/index.php
===================================================================
--- /extensions/TumblrShare/language/th_TH/index.php	(revision 19361)
+++ /extensions/TumblrShare/language/th_TH/index.php	(revision 19361)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/TumblrShare/language/th_TH/plugin.lang.php
===================================================================
--- /extensions/TumblrShare/language/th_TH/plugin.lang.php	(revision 19361)
+++ /extensions/TumblrShare/language/th_TH/plugin.lang.php	(revision 19361)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Bottom'] = 'ด้านล่างสุด';
+$lang['Button position on picture page'] = 'ตำแหน่งปุ่มบนหน้ารูปภาพ';
+$lang['Button size'] = 'ขนาดปุ่ม';
+$lang['Toolbar'] = 'แถบเครื่องมือ';
+$lang['Top'] = 'ด้านบนสุด';
+?>
Index: /extensions/TumblrShare/language/tr_TR/description.txt
===================================================================
--- /extensions/TumblrShare/language/tr_TR/description.txt	(revision 19361)
+++ /extensions/TumblrShare/language/tr_TR/description.txt	(revision 19361)
@@ -0,0 +1,1 @@
+Resim sayfalarına "Share on Tumblr" butonu ekle
Index: /extensions/TumblrShare/language/tr_TR/index.php
===================================================================
--- /extensions/TumblrShare/language/tr_TR/index.php	(revision 19361)
+++ /extensions/TumblrShare/language/tr_TR/index.php	(revision 19361)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/TumblrShare/language/tr_TR/plugin.lang.php
===================================================================
--- /extensions/TumblrShare/language/tr_TR/plugin.lang.php	(revision 19361)
+++ /extensions/TumblrShare/language/tr_TR/plugin.lang.php	(revision 19361)
@@ -0,0 +1,7 @@
+<?php
+$lang['Button position on picture page'] = 'Resim sayfasındaki buton konumu';
+$lang['Top'] = 'Üst';
+$lang['Bottom'] = 'Alt';
+$lang['Toolbar'] = 'Araç çubuğu';
+$lang['Button size'] = 'Buton boyutu';
+?>
Index: /extensions/TumblrShare/language/uk_UA/index.php
===================================================================
--- /extensions/TumblrShare/language/uk_UA/index.php	(revision 19361)
+++ /extensions/TumblrShare/language/uk_UA/index.php	(revision 19361)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/TumblrShare/language/uk_UA/plugin.lang.php
===================================================================
--- /extensions/TumblrShare/language/uk_UA/plugin.lang.php	(revision 19361)
+++ /extensions/TumblrShare/language/uk_UA/plugin.lang.php	(revision 19361)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Bottom'] = 'Низ';
+$lang['Button position on picture page'] = 'Положення кнопки на сторінці зображення';
+$lang['Toolbar'] = 'Панель інструментів';
+$lang['Top'] = 'Верх';
+$lang['Button size'] = 'Розмір кнопки';
+?>
Index: /extensions/TumblrShare/language/vi_VN/description.txt
===================================================================
--- /extensions/TumblrShare/language/vi_VN/description.txt	(revision 19361)
+++ /extensions/TumblrShare/language/vi_VN/description.txt	(revision 19361)
@@ -0,0 +1,1 @@
+Thêm một nút "Share on Tumblr" trên các trang ảnh
Index: /extensions/TumblrShare/language/vi_VN/index.php
===================================================================
--- /extensions/TumblrShare/language/vi_VN/index.php	(revision 19361)
+++ /extensions/TumblrShare/language/vi_VN/index.php	(revision 19361)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/TumblrShare/language/vi_VN/plugin.lang.php
===================================================================
--- /extensions/TumblrShare/language/vi_VN/plugin.lang.php	(revision 19361)
+++ /extensions/TumblrShare/language/vi_VN/plugin.lang.php	(revision 19361)
@@ -0,0 +1,7 @@
+<?php
+$lang['Button position on picture page'] = 'Vị trí nút trên trang ảnh';
+$lang['Top'] = 'Trên cùng';
+$lang['Bottom'] = 'Dưới cùng';
+$lang['Toolbar'] = 'Thanh công cụ';
+$lang['Button size'] = 'Cỡ nút bấm';
+?>
Index: /extensions/TumblrShare/language/zh_CN/index.php
===================================================================
--- /extensions/TumblrShare/language/zh_CN/index.php	(revision 19361)
+++ /extensions/TumblrShare/language/zh_CN/index.php	(revision 19361)
@@ -0,0 +1,7 @@
+<?php
+$url = '../';
+header( 'Request-URI: '.$url );
+header( 'Content-Location: '.$url );
+header( 'Location: '.$url );
+exit();
+?>
Index: /extensions/TumblrShare/language/zh_CN/plugin.lang.php
===================================================================
--- /extensions/TumblrShare/language/zh_CN/plugin.lang.php	(revision 19361)
+++ /extensions/TumblrShare/language/zh_CN/plugin.lang.php	(revision 19361)
@@ -0,0 +1,28 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2012 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Bottom'] = '底部';
+$lang['Button position on picture page'] = '图片页面按键位置';
+$lang['Button size'] = '按键尺寸';
+$lang['Toolbar'] = '工具栏';
+$lang['Top'] = '顶部';
+?>
Index: /extensions/TumblrShare/main.inc.php
===================================================================
--- /extensions/TumblrShare/main.inc.php	(revision 19361)
+++ /extensions/TumblrShare/main.inc.php	(revision 19361)
@@ -0,0 +1,136 @@
+<?php
+/*
+Plugin Name: tumblr.share
+Version: auto
+Description: Add a "Share on Tumblr" button on picture pages
+Plugin URI: http://piwigo.org/ext/extension_view.php?eid=658
+Author: Mistic
+Author URI: http://www.strangeplanet.fr
+*/
+
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+define('TUMBLR_PATH' , PHPWG_PLUGINS_PATH . basename(dirname(__FILE__)) . '/');
+
+load_language('plugin.lang', TUMBLR_PATH);
+add_event_handler('loc_end_picture', 'tumblr_add_button');
+add_event_handler('loc_end_index', 'tumblr_add_button');
+
+
+function tumblr_add_button() 
+{
+  global $conf, $template, $page;
+  
+  $conf['TumblrShare'] = unserialize($conf['TumblrShare']);
+  $conf['TumblrShare']['css'] = array(
+    'share_1' => 'width:81px; height:20px;',
+    'share_2' => 'width:61px; height:20px;',
+    'share_3' => 'width:129px; height:20px;',
+    'share_4' => 'width:20px; height:20px;',
+    'share_1T' => 'width:81px; height:20px;',
+    'share_2T' => 'width:61px; height:20px;',
+    'share_3T' => 'width:129px; height:20px;',
+    'share_4T' => 'width:20px; height:20px;',
+    );
+    
+  $root_url = get_absolute_root_url();
+  
+  // button on piture page
+  if (script_basename() == 'picture')
+  {
+    $current_picture = $template->get_template_vars('current');
+    
+    $template->assign(array(
+      'TUMBLR_MODE' => 'photo',
+      'TUMBLR_URL' => $root_url.duplicate_picture_url(),
+      'TUMBLR_TITLE' => $current_picture['TITLE'],
+      ));
+    
+    if (!empty($current_picture['selected_derivative']))
+    {
+      $template->assign('TUMBLR_SOURCE', $root_url.$current_picture['selected_derivative']->get_url());
+    }
+    else
+    {
+      $template->assign('TUMBLR_SOURCE', $root_url.ltrim($current_picture['src_image']->rel_path, './'));
+    }
+  }
+  // button on other pages
+  else if (script_basename() == 'index')
+  {
+    $conf['TumblrShare']['position'] = 'index';
+    $template->assign(array(
+      'TUMBLR_MODE' => 'link',
+      'TUMBLR_URL' => $root_url.duplicate_index_url(),
+      'TUMBLR_TITLE' => strip_tags($page['title']),
+      ));
+  }
+  else
+  {
+    return;
+  }
+  
+  // config
+  $template->assign(array(
+    'TUMBLR_POSITION' => $conf['TumblrShare']['position'],
+    'TUMBLR_TYPE' => $conf['TumblrShare']['type'],
+    'TUMBLR_CSS' => $conf['TumblrShare']['css'][ $conf['TumblrShare']['type'] ],
+    'TUMBLR_COPY' => ' (from <a href="'.$root_url.'">'.$conf['gallery_title'].'</a>)',
+  ));
+  
+  
+  $template->set_filename('tumblr_button', dirname(__FILE__).'/button.tpl');
+  $button = $template->parse('tumblr_button', true);
+  
+  switch ($conf['TumblrShare']['position'])
+  {
+    case 'index':
+      // $template->add_index_button('<li>'.$button.'</li>', 100);
+      $template->concat('PLUGIN_INDEX_ACTIONS', '<li>'.$button.'</li>');
+      break;
+    case 'toolbar':
+      // $template->add_picture_button($button, 100);
+      $template->concat('PLUGIN_PICTURE_ACTIONS', $button);
+      break;
+    default;
+      $template->assign('TUMBLR_BUTTON', $button);
+      $template->set_prefilter('picture', 'tumblr_add_button_prefilter');
+  }
+}
+
+function tumblr_add_button_prefilter($content, &$smarty)
+{
+  global $template;
+  
+  switch ($template->get_template_vars('TUMBLR_POSITION'))
+  {
+    case 'top':
+      $search = '<div id="theImage">';
+      $replace = '<div>{$TUMBLR_BUTTON}</div>';
+      break;
+      
+    case 'bottom':
+      $search = '{$ELEMENT_CONTENT}';
+      $replace = '{$TUMBLR_BUTTON}';
+      break;
+  }
+  
+  return str_replace($search, $search.$replace, $content);
+}
+
+
+if (script_basename() == 'admin')
+{
+  add_event_handler('get_admin_plugin_menu_links', 'tumblr_plugin_admin_menu');
+
+  function tumblr_plugin_admin_menu($menu)
+  {
+    array_push($menu, array(
+      'NAME' => 'tumblr.share',
+      'URL' => get_root_url().'admin.php?page=plugin-'.basename(dirname(__FILE__))
+      ));
+    return $menu;
+  }
+}
+
+?>
Index: /extensions/TumblrShare/maintain.inc.php
===================================================================
--- /extensions/TumblrShare/maintain.inc.php	(revision 19361)
+++ /extensions/TumblrShare/maintain.inc.php	(revision 19361)
@@ -0,0 +1,17 @@
+<?php
+function plugin_install()
+{
+  $tumblr_conf = array(
+    'type' => 'share_1',
+    'position' => 'toolbar',
+    );
+      
+  conf_update_param('TumblrShare', serialize($tumblr_conf));
+}
+
+function plugin_uninstall()
+{
+  pwg_query('DELETE FROM '.CONFIG_TABLE.' WHERE param="TumblrShare" LIMIT 1;');
+}
+
+?>
Index: /extensions/TumblrShare/style.css
===================================================================
--- /extensions/TumblrShare/style.css	(revision 19361)
+++ /extensions/TumblrShare/style.css	(revision 19361)
@@ -0,0 +1,63 @@
+.tumblr_buttons {
+  border-spacing: 0px;
+  border:6px solid #3C668C;
+  border-radius:10px;
+  margin-bottom:20px;
+}
+
+.tumblr_buttons td {
+  padding:10px 40px;
+  background-color:#fff;
+  border:1px solid #fff;
+  border-right-color:#eee;
+  border-bottom-color:#ddd;
+  text-align:left;
+  vertical-align:center;
+}
+.tumblr_buttons td:hover {
+  background-color:#EEEEEE;
+}
+.tumblr_buttons tr td:last-child {
+  border-right:none;
+}
+.tumblr_buttons tr:last-child td {
+  border-bottom:none;
+}
+.tumblr_buttons input {
+  background:#eee;
+  border:1px solid #aaa;
+  border-radius:4px;
+  box-shadow:inset 0 1px 0 rgba(0,0,0,0.05);
+  padding:5px;
+}
+.tumblr_buttons input:focus {
+  background:#fff;
+  border-color:#3399ff;
+}
+tr.property td, tr.submit td {
+  padding:10px 5px;
+}
+tr.property td:hover, tr.submit td:hover {
+  background-color:#fff;
+}
+tr.property td:first-child {
+  text-align:right;
+  font-weight:bold;
+}
+tr.property td:last-child {
+  text-align:left;
+}
+tr.submit input {
+    background:#F5F5F5;
+    border-color:#DDDDDD #CCCCCC #CCCCCC #DDDDDD;
+    color:#529214 !important;
+    border-radius: 5px;
+    border-style: solid;
+    border-width: 1px;
+    padding: 7px 12px !important;
+    font-size:15px;
+}
+tr.submit input:hover {
+  background:#E6EFC2;
+  border-color: #c6d880;
+}
